# $Revision: 1.18 $, $Date: 2007/02/12 22:09:12 $
%define		_modname	Net_Gopher
%define		_smodname	gopher
%define		_status		stable
Summary:	%{_modname} - fopen wrapper for the gopher protocol
Summary(pl.UTF-8):	%{_modname} - wrapper fopen dla protokołu gopher
Name:		php-pecl-%{_modname}
Version:	1.0.0
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	85435fc2d8f067558acc81c33a453d83
URL:		http://pecl.php.net/package/Net_Gopher/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fopen wrapper for retrieving documents via gopher protocol. Includes
additional function for parsing gopher directory entries.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Wrapper wokół funkcji fopen pozwalający na pobieranie dokumentów za
pomocą protokołu gopher. Zawiera dodatkową funkcję służącą parsowaniu
pozycji katalogu.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure --enable-gopher
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_smodname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_smodname}.ini
; Enable %{_modname} extension module
extension=%{_smodname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_smodname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_smodname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-Net_Gopher.spec,v $
Revision 1.18  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.16  2006/12/14 23:33:07  glen
- use new php extension related macros

Revision 1.15  2006/12/13 22:10:40  glen
- rel 6 (php 5.2.0)

Revision 1.14  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.13  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.12  2005/10/30 13:29:27  glen
- rel 4

Revision 1.11  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.10  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.9  2005/09/13 21:13:03  glen
- use new php/zend api macros

Revision 1.8  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.7  2005/09/11 23:53:22  glen
- full conf.d support and unifications

Revision 1.6  2005/03/20 19:00:36  adamg
- updated to 1.0.0

Revision 1.5  2004/05/30 16:00:19  adamg
- fixed english information about status of the package (also s/PEAR/PECL/)

Revision 1.4  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.3  2003/10/07 20:57:03  adamg
- do not use macros in URL

Revision 1.2  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.1  2003/07/07 22:08:44  adamg
- initial import
